
Type TBird
	Global list:TList
	
	Const BirdSpeed:Float = 0.7
	
	Function Init()
		list = CreateList()
	
		For Local i:Int = 1 To 10
			New TBird
		Next
	End Function
	Function RenderAll()
		For Local bird:TBird = EachIn list
			bird.Update()
			bird.Draw()
		Next
	End Function
	Function Trigger()
		For Local bird:TBird = EachIn list
			bird.triggered = True
		Next
	End Function
	
	'--------------------------------------------------------------
	
	Field x:Double
	Field y:Double
	Field angle:Double
	
	Field triggered:Byte
			
	Method New()
		x = Rand(40, 360)
		y = Rand(160, 300)
		angle = Rand(-70, 70)
		
		triggered = False
		
		list.AddFirst(Self)
	End Method
		
	Method Update()
		If (triggered)
			x = x + (Sin(angle) * BirdSpeed)
			y = y - (Cos(angle) * BirdSpeed)
			
			If (y < 0)
				' Bird got away
				list.Remove(Self)
				New TBird
			End If
			If (x < 0) Or (x > 400)
				angle = -angle;
			End If
			
			
		End If
	End Method
	
	Method Draw()
		If (Not triggered)
			SetAlpha(0.6)
		End If
		SetLineWidth(3)
		SetOrigin(x, y)
		
		color_bird()
		DrawLine(0, 0, -2, -2)
		DrawLine(-2, -2, -4, 0)
		DrawLine(0, 0, 2, -2)
		DrawLine(2, -2, 4, 0)
		
		
		
		SetAlpha(1)
		SetOrigin(0, 0)
	End Method
End Type
