
Type TPlayer
	Global x:Float, y:Float
	
	Global points:Int

	Function Init()
	
		x = 200
		y = 200
		points = 100
	End Function
	Global lastAngle:Float
	Function Update()
		x = x + (KeyDown(KEY_D) - KeyDown(KEY_A))
		y = y + (KeyDown(KEY_S) - KeyDown(KEY_W))

		If (x < 0) x = 400
		If (x > 400) x = 0
		If (y < 150) y = 150
		If (y > 295) y = 295
		
		If (MouseHit(MOUSE_LEFT))
			Local targetX:Int = GetMX()
			Local targetY:Int = GetMY()
			
			Local angle:Double = ATan2(targetY - y, targetX - x) + 90
			lastAngle = angle
			TArrow.Create(x, y + 3, angle)
			
			points:-2
		End If
		If (MouseHit(MOUSE_RIGHT))
			points:-20
			TBird.Trigger()
		End If
		
	End Function
	
	Function Draw()
		
		SetOrigin(x, y)
		SetLineWidth(2)
		SetColor(180, 0, 0)
		DrawRect(-4, 2, 9, 13)
		
		SetColor(245, 222, 140)
		DrawRect(-2, -2, 5, 5)
		DrawRect(-3, 2, 7, 8)
		DrawLine(2, 8, 2, 18)
		DrawLine(-2, 8, -2, 18)
		
		DrawLine(4.5, 2, 6, 10)
		DrawLine(-4.5, 2, -6, 10)
		
		SetOrigin(0, 0)
		
		SetColor(255, 255, 255)
		Local s:String = "Points: " + points
		DrawText(s, 200 - TextWidth(s) / 2, 5)
	End Function
	
End Type
